ssh_path {git2r} | R Documentation

## Compose usual path to ssh keys

### Description

This function provides a consistent means across OS-types to access the `.ssh` directory.

### Usage

    ssh_path(file = "")

### Arguments

`file` | basename of file for which path is requested

### Details

On Windows-based systems, `path.expand("~")` returns `"C:/Users/username/Documents"`, whereas the usual path to the `.ssh` directory is `"C:/Users/username"`.

On other operating systems, `path.expand("~")` returns the usual path to the `.ssh` directory.

Calling `ssh_path()` with no arguments will return the usual path to the `.ssh` directory.

### Value

Full path to the file

### Examples

    ssh_path()
    ssh_path("is_rsa.pub")

[Package git2r version 0.23.0 Index]